<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Travel Ultimate Pro
	 * @since Travel Ultimate Pro 1.0.0
	 */

	/**
	 * travel_ultimate_pro_doctype hook
	 *
	 * @hooked travel_ultimate_pro_doctype -  10
	 *
	 */
	do_action( 'travel_ultimate_pro_doctype' );

?>
<head>
<?php
	/**
	 * travel_ultimate_pro_before_wp_head hook
	 *
	 * @hooked travel_ultimate_pro_head -  10
	 *
	 */
	do_action( 'travel_ultimate_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * travel_ultimate_pro_page_start_action hook
	 *
	 * @hooked travel_ultimate_pro_page_start -  10
	 *
	 */
	do_action( 'travel_ultimate_pro_page_start_action' ); 

	/**
	 * travel_ultimate_pro_loader_action hook
	 *
	 * @hooked travel_ultimate_pro_loader -  10
	 *
	 */
	do_action( 'travel_ultimate_pro_before_header' );

	/**
	 * travel_ultimate_pro_header_action hook
	 *
	 * @hooked travel_ultimate_pro_header_start -  10
	 * @hooked travel_ultimate_pro_top_header -  20
	 * @hooked travel_ultimate_pro_site_branding -  30
	 * @hooked travel_ultimate_pro_site_navigation -  40
	 * @hooked travel_ultimate_pro_header_end -  50
	 *
	 */
	do_action( 'travel_ultimate_pro_header_action' );

	/**
	 * travel_ultimate_pro_content_start_action hook
	 *
	 * @hooked travel_ultimate_pro_content_start -  10
	 *
	 */
	do_action( 'travel_ultimate_pro_content_start_action' );

	/**
	 * travel_ultimate_pro_header_image_action hook
	 *
	 * @hooked travel_ultimate_pro_header_image -  10
	 *
	 */
	do_action( 'travel_ultimate_pro_header_image_action' );


	 if ( travel_ultimate_pro_is_frontpage() ) {
    	$options = travel_ultimate_pro_get_theme_options();
    	if ( $options['home_layout'] == 'default-design' ) {
			$sections = array( 'Slider', 'Search', 'Package', 'About', 'CTA', 'Guide', 'Destination', 'Testimonial', 'Event', 'Counter' );
		}
  
		if ( $options['home_layout'] == 'second-design' ) {
			$sections = array( 'slider', 'service', 'About', 'Counter', 'Team', 'Subscription', 'Testimonial', 'Event' );
		}

		if ( $options['home_layout'] == 'third-design' ) {
			$sections = array( 'slider', 'service', 'About', 'Team', 'reason', 'Event' );
		}

		if ( $options['home_layout'] == 'fourth-design' ) {
			$sections = array( 'slider' );
		}

		foreach ( $sections as $section ) {
			add_action( 'travel_ultimate_pro_primary_content', 'travel_ultimate_pro_add_'. $section .'_section' );
		}

		

		do_action( 'travel_ultimate_pro_primary_content' );
	}
