<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Travel Ultimate Pro
 * @since Travel Ultimate Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'travel_ultimate_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','travel-ultimate-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'travel-ultimate-pro' ),
	'panel'             => 'travel_ultimate_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'travel_ultimate_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'travel-ultimate-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'travel-ultimate-pro' ),
	'section'           => 'travel_ultimate_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'travel_ultimate_pro_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'travel_ultimate_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new travel_ultimate_pro_Switch_Control( $wp_customize, 'travel_ultimate_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'travel-ultimate-pro' ),
	'section'           => 'travel_ultimate_pro_archive_section',
	'on_off_label' 		=> travel_ultimate_pro_hide_options(),
) ) );

// // Archive author category setting and control.
// $wp_customize->add_setting( 'travel_ultimate_pro_theme_options[hide_category]', array(
// 	'default'           => $options['hide_category'],
// 	'sanitize_callback' => 'travel_ultimate_pro_sanitize_switch_control',
// ) );

// $wp_customize->add_control( new travel_ultimate_pro_Switch_Control( $wp_customize, 'travel_ultimate_pro_theme_options[hide_category]', array(
// 	'label'             => esc_html__( 'Hide Category', 'travel-ultimate-pro' ),
// 	'section'           => 'travel_ultimate_pro_archive_section',
// 	'on_off_label' 		=> travel_ultimate_pro_hide_options(),
// ) ) );

// Archive author author setting and control.
// $wp_customize->add_setting( 'travel_ultimate_pro_theme_options[hide_author]', array(
// 	'default'           => $options['hide_author'],
// 	'sanitize_callback' => 'travel_ultimate_pro_sanitize_switch_control',
// ) );

// $wp_customize->add_control( new travel_ultimate_pro_Switch_Control( $wp_customize, 'travel_ultimate_pro_theme_options[hide_author]', array(
// 	'label'             => esc_html__( 'Hide Author', 'travel-ultimate-pro' ),
// 	'section'           => 'travel_ultimate_pro_archive_section',
// 	'on_off_label' 		=> travel_ultimate_pro_hide_options(),
// ) ) );

// Blog content type control and setting
$wp_customize->add_setting( 'travel_ultimate_pro_theme_options[archive_column]', array(
	'default'          	=> $options['archive_column'],
	'sanitize_callback' => 'travel_ultimate_pro_sanitize_select',
) );

$wp_customize->add_control( 'travel_ultimate_pro_theme_options[archive_column]', array(
	'label'             => esc_html__( 'Column Layout', 'travel-ultimate-pro' ),
	'section'           => 'travel_ultimate_pro_archive_section',
	'type'				=> 'select',
	'choices'			=> array( 
		'col-2' 	=> esc_html__( 'Two Column', 'travel-ultimate-pro' ),
		'col-3' 	=> esc_html__( 'Three Column', 'travel-ultimate-pro' ),
	),
) );