<?php
/**
 * OCDI plugin compatible functions
 *
 * @package 
 */

function travel_ultimate_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'travel-ultimate-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'travel_ultimate_pro_ctdi_plugin_page_setup' );


function travel_ultimate_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Free', 'travel-ultimate-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/free/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/free/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/free/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/free/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-ultimate-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/travel_ultimate',
        ),
        array(
            'import_file_name'             => esc_html__( 'Pro', 'travel-ultimate-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/pro/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/pro/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/pro/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/pro/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-ultimate-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/travel-ultimate-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark', 'travel-ultimate-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/dark/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/dark/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/dark/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/dark/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-ultimate-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/travel-ultimate-pro-dark',
        ),
        array(
            'import_file_name'             => esc_html__( 'Medical', 'travel-ultimate-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/medical/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/medical/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/medical/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/medical/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-ultimate-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/travel-ultimate-pro-medical',
        ),

        array(
            'import_file_name'             => esc_html__( 'Shop', 'travel-ultimate-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/shop/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/shop/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/shop/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/shop/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-ultimate-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/travel-ultimate-shop',
        ),
        
        array(
            'import_file_name'             => esc_html__( 'Business', 'travel-ultimate-pro' ),
            'local_import_file'            => get_template_directory() . '/assets/demo/business/content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/business/widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/business/customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/business/screenshot.png',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'travel-ultimate-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/travel-ultimate-business',
        ),

    );
}
add_filter( 'cp-ctdi/import_files', 'travel_ultimate_pro_ctdi_import_files' );



function travel_ultimate_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $primary = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $top = get_term_by('name', 'Top', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $primary->term_id,
            'social' => $social->term_id,
            'top' => $$top->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'travel_ultimate_pro_ctdi_after_import_setup' );
